Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST https://services.leadconnectorhq.com/knowledge-bases/
201 - Knowledge base created successfully
{ "success": true }
400 - Bad Request
{ "statusCode": 400, "message": "Bad Request" }
401 - Unauthorized
{ "statusCode": 401, "message": "Invalid token: access token is invalid", "error": "Unauthorized" }
curl -X POST 'https://services.leadconnectorhq.com/knowledge-bases/' \ -H 'Authorization: Bearer YOUR_TOKEN' \ -H 'Version: 2021-07-28' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "locationId": "string" }'
const response = await fetch('https://services.leadconnectorhq.com/knowledge-bases/', { method: 'POST', headers: { Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`, Version: '2021-07-28', 'Content-Type': 'application/json', }, body: JSON.stringify({"name": "string", "description": "string", "locationId": "string"}), }); const data = await response.json();
import os, requests response = requests.request( 'POST', 'https://services.leadconnectorhq.com/knowledge-bases/', headers={ 'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}", 'Version': '2021-07-28', 'Content-Type': 'application/json', }, json={"name": "string", "description": "string", "locationId": "string"}, ) data = response.json()
<?php $ch = curl_init('https://services.leadconnectorhq.com/knowledge-bases/'); curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => 'POST', CURLOPT_HTTPHEADER => [ 'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'), 'Version: 2021-07-28', 'Content-Type: application/json', ], CURLOPT_POSTFIELDS => json_encode({'name': 'string', 'description': 'string', 'locationId': 'string'}), ]); $data = json_decode(curl_exec($ch), true);